Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 335151 - kernel 2.6.22.9-61.fc6 on intel xserve x345 hardware looses time badly
Summary: kernel 2.6.22.9-61.fc6 on intel xserve x345 hardware looses time badly
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-10-16 19:30 UTC by James Robinson
Modified: 2008-02-08 04:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:24:50 UTC


Attachments (Terms of Use)

Description James Robinson 2007-10-16 19:30:55 UTC
Description of problem:

ntpd on kernel 2.6.22.9-61.fc6 on an intel xserve x345 (dual hyperthreaded xeon)
can't keep in sync. Booting with clocksource=acpi_pm made kernel-2.6.22.7-57.fc6
happy and keep time, but that workaround fails on 2.6.22.9-61.

messages show [ when booted with clocksource=acpi_pm] :
Oct 15 22:14:32 db01 ntpd[2367]: synchronized to 10.0.5.254, stratum 3
Oct 15 22:14:35 db01 ntpd[2367]: time reset +2.423105 s
Oct 15 22:14:35 db01 ntpd[2367]: kernel time sync enabled 0001
Oct 15 22:17:57 db01 ntpd[2367]: synchronized to LOCAL(0), stratum 10
Oct 16 02:59:54 db01 kernel: set_rtc_mmss: can't update from 0 to 59
Oct 16 02:59:59 db01 last message repeated 5 times


And then time begins to get lost -- more than an hour over 12 hours.

When booting w/o clocksource=acpi_pm, we also loose lots of time -- on the order
of 4 seconds per minute.

Version-Release number of selected component (if applicable):
kernel 2.6.22.9-61.fc6

How reproducible:
Very.


Steps to Reproduce:
Boot kernel on intel x345 server box, run ntpd, watch time get lost.
  
Actual results:
can't keep time, even with local NTPD server, whereas kernel
kernel-2.6.22.7-57.fc6 w/ boot option clocksource=acpi_pm kept us in sync with
stratum 3 NTPD on the local net.

Expected results:
keep time, at least within tolerance for NTPD to help us out.

Additional info:

Comment 1 Jon Stanley 2008-01-08 01:47:28 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 2 Jon Stanley 2008-02-08 04:24:50 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.